# Generated by Django 3.0.3 on 2020-02-04 09:44

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Authentication",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[("P", "Pending"), ("F", "Failed"), ("C", "Completed")],
                        default="P",
                        max_length=1,
                        verbose_name="Status",
                    ),
                ),
                ("bank_name", models.CharField(max_length=16, verbose_name="Bank")),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("last_modified", models.DateTimeField(auto_now=True)),
                (
                    "redirect_after_success",
                    models.CharField(editable=False, max_length=255),
                ),
                (
                    "redirect_on_failure",
                    models.CharField(editable=False, max_length=255),
                ),
                ("raw_response", models.TextField(blank=True)),
            ],
            options={
                "verbose_name": "Authentication",
                "ordering": ["-last_modified"],
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Transaction",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("bank_name", models.CharField(max_length=16, verbose_name="bank")),
                (
                    "description",
                    models.CharField(
                        help_text="reference description",
                        max_length=255,
                        verbose_name="reference description",
                    ),
                ),
                (
                    "amount",
                    models.DecimalField(
                        decimal_places=2, max_digits=9, verbose_name="amount"
                    ),
                ),
                ("currency", models.CharField(max_length=3, verbose_name="currency")),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("last_modified", models.DateTimeField(auto_now=True)),
                (
                    "status",
                    models.CharField(
                        choices=[("P", "pending"), ("F", "failed"), ("C", "completed")],
                        default="P",
                        max_length=1,
                        verbose_name="status",
                    ),
                ),
                (
                    "redirect_after_success",
                    models.CharField(editable=False, max_length=255),
                ),
                (
                    "redirect_on_failure",
                    models.CharField(editable=False, max_length=255),
                ),
            ],
            options={
                "verbose_name": "transaction",
                "ordering": ["-last_modified"],
                "abstract": False,
            },
        ),
    ]
